commit:     d1a2b195428d4c5af56105cd40ecaaa53af1a4af
Author:     orbea <orbea <AT> riseup <DOT> net>
AuthorDate: Fri Jun  7 16:39:09 2024 +0000
Commit:     orbea <orbea <AT> riseup <DOT> net>
CommitDate: Fri Jun  7 16:39:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/libressl.git/commit/?id=d1a2b195

dev-python/PyQt6: new package, add 6.6.1, 6.7.0

dev-qt/qtbase disables DTLS since it doesn't work with LibreSSL and
PyQT6 fails to detect that requiring it to be disabled manually.

Closes: https://github.com/gentoo/libressl/issues/563
Signed-off-by: orbea <orbea <AT> riseup.net>

 dev-python/PyQt6/Manifest                      |   6 +
 dev-python/PyQt6/PyQt6-6.6.1.ebuild            | 185 +++++++++++++++++++++++++
 dev-python/PyQt6/PyQt6-6.7.0.ebuild            | 181 ++++++++++++++++++++++++
 dev-python/PyQt6/files/PyQt6-6.6.1-qt670.patch |  77 ++++++++++
 dev-python/PyQt6/metadata.xml                  |  41 ++++++
 5 files changed, 490 insertions(+)

diff --git a/dev-python/PyQt6/Manifest b/dev-python/PyQt6/Manifest
new file mode 100644
index 0000000..9bd93a6
--- /dev/null
+++ b/dev-python/PyQt6/Manifest
@@ -0,0 +1,6 @@
+AUX PyQt6-6.6.1-qt670.patch 2528 BLAKE2B 
3157c4e4e063747db56e92b011147dfb3a57474b6e80f052372d4b83b91bf36bb18ba256f4e2b4466c140744b075ac47217915ad5d744900754c8f4af7ab8f61
 SHA512 
5894b371cfa9b22de2300cc75b7ab486944ecd7c8f2aed6bdd03355c9952ebd550ec2383ff057d629b54d91f92ef67cd566a39d7e38696d6ba2b09622b9900e8
+DIST PyQt6-6.6.1.tar.gz 1043203 BLAKE2B 
dd2b6988ebeabaae47fe57c5c0d17fbe4b62c377262b4bb360adb7fd6724ccb6a67ba5c2bd7498df98db3ce6b00978f936b11a43b464c3c7af169f25b30ee1a6
 SHA512 
c2ff8c47c9b0e43c009d0c90f565a54344e6f384c67dd30c2d422465d0702c07713acc0095c8b67827d1146675611c07d548ba282a26e41bb60a0a21977a7a64
+DIST PyQt6-6.7.0.tar.gz 1050408 BLAKE2B 
30dc8a2762cb5a149c401d497af714bb9209bc46847c0699522ee60080c46f0b1d4da854e70151a508c90820a2aa32da422bfd20c4320bcc9b5d5f92fd9e8677
 SHA512 
619210d2de3e149b55e2d45cbd8ec2113b3effcaccd25eef6067ea99b82e250f1ce288b38136604536053690071f8c843339b934b5ce5e539a5dfdecc26f44d2
+EBUILD PyQt6-6.6.1.ebuild 5672 BLAKE2B 
8ac2f7e4d8ccfe0d71fca617c4942f0bfd77e478406aabc90497fd8f5b85101a773f9cebe2649ee66cd761abc340ddc945e5030148f2dce971639b62807d10c1
 SHA512 
af03064ebc5ac60d446feb78255d7eb9cf143d4f25552763d8626e546531703be00e650fd5faaa571721cb4bc2ffd831f482b29804554e6bc9c313a9dd5ef4f3
+EBUILD PyQt6-6.7.0.ebuild 5617 BLAKE2B 
f5c241771e8126e04f396b55d4587d5cafd96bd1006b27da6f26b38ca18ddbf477153587d3c092b8647f527c6e124cdcfff2ad1914a08e624e9b62effffbb8ad
 SHA512 
370b006ea1c73b709b7c77e415a68fde9581623e692ffef9f6d32adeee7b218d6146bded248b0397f67479ae63680a51ef2986b6c960100462065a3f6dc068e1
+MISC metadata.xml 2391 BLAKE2B 
16eecbd105ced07699632a4b294f7da74b59ff931e39afb8a21f67f073bfc90ff613d753a67bcd303ea9f2bf35d7b91c1c7a56ece044c421c4e45b5951f5efe3
 SHA512 
1d595e07e201891c8c7d5635d39db36ccb65c7333cb27c1cd5384a76029b987959df05795283a4474a41a997bf951e577570b7d3a52a9a2975d563767651efae

diff --git a/dev-python/PyQt6/PyQt6-6.6.1.ebuild 
b/dev-python/PyQt6/PyQt6-6.6.1.ebuild
new file mode 100644
index 0000000..61e293b
--- /dev/null
+++ b/dev-python/PyQt6/PyQt6-6.6.1.ebuild
@@ -0,0 +1,185 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=sip
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+inherit distutils-r1 flag-o-matic multiprocessing pypi qmake-utils
+
+# 'can' work with older Qt depending on features, but keeping it simple
+QT_PV=$(ver_cut 1-2):6
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~arm64"
+# defaults match what is provided with qtbase by default (except testlib),
+# reduces the need to set flags but does increase build time a fair amount
+IUSE="
+       bluetooth +dbus debug designer examples gles2-only +gui help
+       multimedia +network nfc opengl pdfium positioning +printsupport
+       qml quick quick3d serialport sensors spatialaudio speech +sql
+       +ssl svg testlib webchannel websockets +widgets +xml
+"
+# see `grep -r "%Import " sip` and `grep qmake_QT project.py`
+REQUIRED_USE="
+       designer? ( gui widgets )
+       help? ( gui widgets )
+       multimedia? ( gui network )
+       opengl? ( gui )
+       pdfium? ( gui )
+       printsupport? ( gui widgets )
+       qml? ( network )
+       quick3d? ( gui qml )
+       quick? ( gui qml )
+       spatialaudio? ( multimedia )
+       sql? ( widgets )
+       svg? ( gui )
+       testlib? ( gui widgets )
+       webchannel? ( network )
+       websockets? ( network )
+       widgets? ( gui )
+"
+
+# may use qt private symbols wrt qtbase's :=
+DEPEND="
+       
>=dev-qt/qtbase-${QT_PV}=[dbus?,gles2-only=,gui?,network?,opengl?,sql?,ssl=,widgets?,xml?]
+       bluetooth? ( >=dev-qt/qtconnectivity-${QT_PV}[bluetooth] )
+       dbus? (
+               dev-python/dbus-python[${PYTHON_USEDEP}]
+               sys-apps/dbus
+       )
+       designer? ( >=dev-qt/qttools-${QT_PV}[designer] )
+       help? ( >=dev-qt/qttools-${QT_PV}[assistant] )
+       multimedia? ( >=dev-qt/qtmultimedia-${QT_PV} )
+       nfc? ( >=dev-qt/qtconnectivity-${QT_PV}[nfc] )
+       opengl? (
+               gles2-only? ( media-libs/libglvnd )
+       )
+       pdfium? ( >=dev-qt/qtwebengine-${QT_PV}[pdfium,widgets?] )
+       positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
+       qml? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
+       quick3d? ( >=dev-qt/qtquick3d-${QT_PV} )
+       quick? ( >=dev-qt/qtdeclarative-${QT_PV}[opengl] )
+       sensors? ( >=dev-qt/qtsensors-${QT_PV} )
+       serialport? ( >=dev-qt/qtserialport-${QT_PV} )
+       speech? (
+               >=dev-qt/qtdeclarative-${QT_PV}
+               >=dev-qt/qtspeech-${QT_PV}
+       )
+       svg? ( >=dev-qt/qtsvg-${QT_PV} )
+       webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
+       websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )
+"
+RDEPEND="
+       ${DEPEND}
+       >=dev-python/PyQt6-sip-13.6[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/PyQt-builder-1.15[${PYTHON_USEDEP}]
+       >=dev-python/sip-6.7.12[${PYTHON_USEDEP}]
+       >=dev-qt/qtbase-${QT_PV}
+       dbus? ( virtual/pkgconfig )
+"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-6.6.1-qt670.patch
+)
+
+src_prepare() {
+       default
+
+       # hack: PyQt-builder runs qmake without our arguments and calls g++
+       # or clang++ depending on what qtbase was built with, not used for
+       # building but fails with -native-symlinks
+       mkdir "${T}"/cxx || die
+       local cxx
+       ! cxx=$(type -P "${CHOST}"-g++) || ln -s -- "${cxx}" "${T}"/cxx/g++ || 
die
+       ! cxx=$(type -P "${CHOST}"-clang++) || ln -s -- "${cxx}" 
"${T}"/cxx/clang++ || die
+       PATH=${T}/cxx:${PATH}
+}
+
+python_configure_all() {
+       append-cxxflags -std=c++17 # for old gcc / clang that use <17 (bug 
#892331)
+       append-cxxflags ${CPPFLAGS} # respect CPPFLAGS notably for 
DISTUTILS_EXT=1
+
+       pyqt_use_enable() {
+               local state=$(usex ${1} --enable= --disable=)
+               shift
+               echo ${*/#/${state}}
+       }
+
+       DISTUTILS_ARGS=(
+               --jobs="$(makeopts_jobs)"
+               --qmake="$(qt6_get_bindir)"/qmake
+               --qmake-setting="$(qt6_get_qmake_args)"
+               --verbose
+               --confirm-license
+
+               --enable=QtCore
+
+               $(pyqt_use_enable bluetooth QtBluetooth)
+               $(pyqt_use_enable dbus QtDBus)
+               $(pyqt_use_enable designer QtDesigner)
+               $(pyqt_use_enable help QtHelp)
+               $(pyqt_use_enable gui QtGui)
+               #--disable=QtLocation # force-disabled in project.py
+               $(pyqt_use_enable multimedia QtMultimedia \
+                       $(usev widgets QtMultimediaWidgets))
+               $(pyqt_use_enable network QtNetwork)
+               $(pyqt_use_enable nfc QtNfc)
+               $(pyqt_use_enable opengl QtOpenGL \
+                       $(usev widgets QtOpenGLWidgets))
+               $(pyqt_use_enable pdfium QtPdf \
+                       $(usev widgets QtPdfWidgets))
+               $(pyqt_use_enable positioning QtPositioning)
+               $(pyqt_use_enable printsupport QtPrintSupport)
+               $(pyqt_use_enable qml QtQml)
+               $(pyqt_use_enable quick QtQuick \
+                       $(usev widgets QtQuickWidgets))
+               $(pyqt_use_enable quick3d QtQuick3D)
+               --disable=QtRemoteObjects # not packaged
+               $(pyqt_use_enable sensors QtSensors)
+               $(pyqt_use_enable serialport QtSerialPort)
+               $(pyqt_use_enable spatialaudio QtSpatialAudio)
+               $(pyqt_use_enable sql QtSql)
+               $(pyqt_use_enable svg QtSvg \
+                       $(usev widgets QtSvgWidgets))
+               $(pyqt_use_enable testlib QtTest)
+               $(pyqt_use_enable speech QtTextToSpeech)
+               $(pyqt_use_enable webchannel QtWebChannel)
+               $(pyqt_use_enable websockets QtWebSockets)
+               $(pyqt_use_enable widgets QtWidgets)
+               $(pyqt_use_enable xml QtXml)
+
+               $(usev debug '--debug --qml-debug --tracing')
+
+               $(usev !dbus --no-dbus-python)
+               # note: upstream currently intentionally skips installing these 
two
+               # plugins when using wheels w/ pep517 so, *if* something does 
need
+               # them, it will need to be handled manually
+               $(usev !designer --no-designer-plugin)
+               $(usev !qml --no-qml-plugin)
+
+               $(usev !gles2-only --disabled-feature=PyQt_OpenGL_ES2)
+               $(usev !opengl --disabled-feature=PyQt_OpenGL)
+               $(usev !ssl --disabled-feature=PyQt_SSL)
+
+               # intended for Windows / Android or others
+               --disable=QAxContainer
+               --disabled-feature=PyQt_Permissions
+
+               # DTLS is disabled in dev-qt/qtbase for LibreSSL
+               --disabled-feature=PyQt_DTLS
+       )
+}
+
+python_install_all() {
+       einstalldocs
+       use examples && dodoc -r examples
+}

diff --git a/dev-python/PyQt6/PyQt6-6.7.0.ebuild 
b/dev-python/PyQt6/PyQt6-6.7.0.ebuild
new file mode 100644
index 0000000..2973a9c
--- /dev/null
+++ b/dev-python/PyQt6/PyQt6-6.7.0.ebuild
@@ -0,0 +1,181 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=sip
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+inherit distutils-r1 flag-o-matic multiprocessing pypi qmake-utils
+
+# 'can' work with older Qt depending on features, but keeping it simple
+QT_PV=$(ver_cut 1-2):6
+
+DESCRIPTION="Python bindings for the Qt framework"
+HOMEPAGE="https://www.riverbankcomputing.com/software/pyqt/";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ~arm64"
+# defaults match what is provided with qtbase by default (except testlib),
+# reduces the need to set flags but does increase build time a fair amount
+IUSE="
+       bluetooth +dbus debug designer examples gles2-only +gui help
+       multimedia +network nfc opengl pdfium positioning +printsupport
+       qml quick quick3d serialport sensors spatialaudio speech +sql
+       +ssl svg testlib webchannel websockets +widgets +xml
+"
+# see `grep -r "%Import " sip` and `grep qmake_QT project.py`
+REQUIRED_USE="
+       designer? ( gui widgets )
+       help? ( gui widgets )
+       multimedia? ( gui network )
+       opengl? ( gui )
+       pdfium? ( gui )
+       printsupport? ( gui widgets )
+       qml? ( network )
+       quick3d? ( gui qml )
+       quick? ( gui qml )
+       spatialaudio? ( multimedia )
+       sql? ( widgets )
+       svg? ( gui )
+       testlib? ( gui widgets )
+       webchannel? ( network )
+       websockets? ( network )
+       widgets? ( gui )
+"
+
+# may use qt private symbols wrt qtbase's :=
+DEPEND="
+       
>=dev-qt/qtbase-${QT_PV}=[dbus?,gles2-only=,gui?,network?,opengl?,sql?,ssl=,widgets?,xml?]
+       bluetooth? ( >=dev-qt/qtconnectivity-${QT_PV}[bluetooth] )
+       dbus? (
+               dev-python/dbus-python[${PYTHON_USEDEP}]
+               sys-apps/dbus
+       )
+       designer? ( >=dev-qt/qttools-${QT_PV}[designer] )
+       help? ( >=dev-qt/qttools-${QT_PV}[assistant] )
+       multimedia? ( >=dev-qt/qtmultimedia-${QT_PV} )
+       nfc? ( >=dev-qt/qtconnectivity-${QT_PV}[nfc] )
+       opengl? (
+               gles2-only? ( media-libs/libglvnd )
+       )
+       pdfium? ( >=dev-qt/qtwebengine-${QT_PV}[pdfium,widgets?] )
+       positioning? ( >=dev-qt/qtpositioning-${QT_PV} )
+       qml? ( >=dev-qt/qtdeclarative-${QT_PV}[widgets?] )
+       quick3d? ( >=dev-qt/qtquick3d-${QT_PV} )
+       quick? ( >=dev-qt/qtdeclarative-${QT_PV}[opengl] )
+       sensors? ( >=dev-qt/qtsensors-${QT_PV} )
+       serialport? ( >=dev-qt/qtserialport-${QT_PV} )
+       speech? (
+               >=dev-qt/qtdeclarative-${QT_PV}
+               >=dev-qt/qtspeech-${QT_PV}
+       )
+       svg? ( >=dev-qt/qtsvg-${QT_PV} )
+       webchannel? ( >=dev-qt/qtwebchannel-${QT_PV} )
+       websockets? ( >=dev-qt/qtwebsockets-${QT_PV} )
+"
+RDEPEND="
+       ${DEPEND}
+       >=dev-python/PyQt6-sip-13.6[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/PyQt-builder-1.15[${PYTHON_USEDEP}]
+       >=dev-python/sip-6.8[${PYTHON_USEDEP}]
+       >=dev-qt/qtbase-${QT_PV}
+       dbus? ( virtual/pkgconfig )
+"
+
+src_prepare() {
+       default
+
+       # hack: PyQt-builder runs qmake without our arguments and calls g++
+       # or clang++ depending on what qtbase was built with, not used for
+       # building but fails with -native-symlinks
+       mkdir "${T}"/cxx || die
+       local cxx
+       ! cxx=$(type -P "${CHOST}"-g++) || ln -s -- "${cxx}" "${T}"/cxx/g++ || 
die
+       ! cxx=$(type -P "${CHOST}"-clang++) || ln -s -- "${cxx}" 
"${T}"/cxx/clang++ || die
+       PATH=${T}/cxx:${PATH}
+}
+
+python_configure_all() {
+       append-cxxflags -std=c++17 # for old gcc / clang that use <17 (bug 
#892331)
+       append-cxxflags ${CPPFLAGS} # respect CPPFLAGS notably for 
DISTUTILS_EXT=1
+
+       pyqt_use_enable() {
+               local state=$(usex ${1} --enable= --disable=)
+               shift
+               echo ${*/#/${state}}
+       }
+
+       DISTUTILS_ARGS=(
+               --jobs="$(makeopts_jobs)"
+               --qmake="$(qt6_get_bindir)"/qmake
+               --qmake-setting="$(qt6_get_qmake_args)"
+               --verbose
+               --confirm-license
+
+               --enable=QtCore
+
+               $(pyqt_use_enable bluetooth QtBluetooth)
+               $(pyqt_use_enable dbus QtDBus)
+               $(pyqt_use_enable designer QtDesigner)
+               $(pyqt_use_enable help QtHelp)
+               $(pyqt_use_enable gui QtGui)
+               #--disable=QtLocation # force-disabled in project.py
+               $(pyqt_use_enable multimedia QtMultimedia \
+                       $(usev widgets QtMultimediaWidgets))
+               $(pyqt_use_enable network QtNetwork)
+               $(pyqt_use_enable nfc QtNfc)
+               $(pyqt_use_enable opengl QtOpenGL \
+                       $(usev widgets QtOpenGLWidgets))
+               $(pyqt_use_enable pdfium QtPdf \
+                       $(usev widgets QtPdfWidgets))
+               $(pyqt_use_enable positioning QtPositioning)
+               $(pyqt_use_enable printsupport QtPrintSupport)
+               $(pyqt_use_enable qml QtQml)
+               $(pyqt_use_enable quick QtQuick \
+                       $(usev widgets QtQuickWidgets))
+               $(pyqt_use_enable quick3d QtQuick3D)
+               --disable=QtRemoteObjects # not packaged
+               $(pyqt_use_enable sensors QtSensors)
+               $(pyqt_use_enable serialport QtSerialPort)
+               $(pyqt_use_enable spatialaudio QtSpatialAudio)
+               $(pyqt_use_enable sql QtSql)
+               $(pyqt_use_enable svg QtSvg \
+                       $(usev widgets QtSvgWidgets))
+               $(pyqt_use_enable testlib QtTest)
+               $(pyqt_use_enable speech QtTextToSpeech)
+               $(pyqt_use_enable webchannel QtWebChannel)
+               $(pyqt_use_enable websockets QtWebSockets)
+               $(pyqt_use_enable widgets QtWidgets)
+               $(pyqt_use_enable xml QtXml)
+
+               $(usev debug '--debug --qml-debug --tracing')
+
+               $(usev !dbus --no-dbus-python)
+               # note: upstream currently intentionally skips installing these 
two
+               # plugins when using wheels w/ pep517 so, *if* something does 
need
+               # them, it will need to be handled manually
+               $(usev !designer --no-designer-plugin)
+               $(usev !qml --no-qml-plugin)
+
+               $(usev !gles2-only --disabled-feature=PyQt_OpenGL_ES2)
+               $(usev !opengl --disabled-feature=PyQt_OpenGL)
+               $(usev !ssl --disabled-feature=PyQt_SSL)
+
+               # intended for Windows / Android or others
+               --disable=QAxContainer
+               --disabled-feature=PyQt_Permissions
+
+               # DTLS is disabled in dev-qt/qtbase for LibreSSL
+               --disabled-feature=PyQt_DTLS
+       )
+}
+
+python_install_all() {
+       einstalldocs
+       use examples && dodoc -r examples
+}

diff --git a/dev-python/PyQt6/files/PyQt6-6.6.1-qt670.patch 
b/dev-python/PyQt6/files/PyQt6-6.6.1-qt670.patch
new file mode 100644
index 0000000..64c4aa3
--- /dev/null
+++ b/dev-python/PyQt6/files/PyQt6-6.6.1-qt670.patch
@@ -0,0 +1,77 @@
+Early workarounds to fix build with upcoming Qt6.7.0 not to have
+to wait for the matching PyQt6-6.7.0. Not fully correct fixes,
+but should be better than failing. May need revision given 6.7
+apis are not finalized as of the writing of this.
+
+Caused by the following commits:
+https://github.com/qt/qtbase/commit/fd48ce0b73c (qdatastream+pyqtpyboject)
+> qsizetype is ssize_t and ends up more correct (e.g. for Py_ssize_t)
+https://github.com/qt/qtbase/commit/7a3fed3f209 (qtimezone)
+> removed, can just drop these if 6.7 and ignore the replacement
+https://github.com/qt/qtbase/commit/19bc5de296a (qfont)
+https://github.com/qt/qtbase/commit/bde443801fe (qfont)
+> these tag features are new'ish (and changing) and only available if
+> >=6.6 as-is, let's just drop them if 6.7 as no revdeps should need yet
+--- a/qpy/QtCore/qpycore_pyqtpyobject.cpp
++++ b/qpy/QtCore/qpycore_pyqtpyobject.cpp
+@@ -173,9 +173,13 @@
+ {
+     char *ser;
++#if QT_VERSION >= QT_VERSION_CHECK(6, 7, 0)
++    qsizetype len;
++#else
+     uint len;
++#endif
+ 
+     in.readBytes(ser, len);
+ 
+-    if (len)
++    if (len > 0)
+     {
+         static PyObject *loads = 0;
+--- a/sip/QtCore/QtCoremod.sip
++++ b/sip/QtCore/QtCoremod.sip
+@@ -23,5 +23,5 @@
+ %Module(name=PyQt6.QtCore, call_super_init=True, 
default_VirtualErrorHandler=PyQt6, keyword_arguments="Optional", 
use_limited_api=True, py_ssize_t_clean=True)
+ 
+-%Timeline {Qt_6_0_0 Qt_6_1_0 Qt_6_2_0 Qt_6_3_0 Qt_6_4_0 Qt_6_5_0 Qt_6_6_0}
++%Timeline {Qt_6_0_0 Qt_6_1_0 Qt_6_2_0 Qt_6_3_0 Qt_6_4_0 Qt_6_5_0 Qt_6_6_0 
Qt_6_7_0}
+ 
+ %Platforms {Android iOS Linux macOS WebAssembly Windows}
+--- a/sip/QtCore/qdatastream.sip
++++ b/sip/QtCore/qdatastream.sip
+@@ -123,5 +123,9 @@
+ %MethodCode
+         char *s;
++#if QT_VERSION >= QT_VERSION_CHECK(6, 7, 0)
++        qsizetype l;
++#else
+         uint l;
++#endif
+         
+         Py_BEGIN_ALLOW_THREADS
+--- a/sip/QtCore/qtimezone.sip
++++ b/sip/QtCore/qtimezone.sip
+@@ -72,6 +72,8 @@
+     ~QTimeZone();
+     void swap(QTimeZone &other /Constrained/);
++%If (- Qt_6_7_0)
+     bool operator==(const QTimeZone &other) const;
+     bool operator!=(const QTimeZone &other) const;
++%End
+     bool isValid() const;
+     QByteArray id() const;
+--- a/sip/QtGui/qfont.sip
++++ b/sip/QtGui/qfont.sip
+@@ -209,4 +209,5 @@
+     QStringList families() const;
+     void setFamilies(const QStringList &);
++%If (- Qt_6_7_0)
+ %If (Qt_6_6_0 -)
+     void setFeature(quint32 tag, quint32 value);
+@@ -239,4 +240,5 @@
+     static quint32 stringToTag(const char *tagString /Encoding="None"/);
+ %End
++%End
+ };
+ 

diff --git a/dev-python/PyQt6/metadata.xml b/dev-python/PyQt6/metadata.xml
new file mode 100644
index 0000000..58da801
--- /dev/null
+++ b/dev-python/PyQt6/metadata.xml
@@ -0,0 +1,41 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Gentoo Qt Project</name>
+       </maintainer>
+       <use>
+               <flag name="bluetooth">Build bindings for the QtBluetooth 
module</flag>
+               <flag name="dbus">Build bindings for the QtDBus module</flag>
+               <flag name="designer">Build bindings for the QtDesigner module 
and enable the designer plugin</flag>
+               <flag name="gui">Build bindings for the QtGui module</flag>
+               <flag name="help">Build bindings for the QtHelp module</flag>
+               <flag name="multimedia">Build bindings for the QtMultimedia 
module</flag>
+               <flag name="network">Build bindings for the QtNetwork 
module</flag>
+               <flag name="nfc">Build bindings for the QtNfc module</flag>
+               <flag name="opengl">Build bindings for the QtOpenGL 
module</flag>
+               <flag name="pdfium">Build bindings for the QtPdf module (uses 
pdfium from <pkg>dev-qt/qtwebengine</pkg>)</flag>
+               <flag name="positioning">Build bindings for the QtPositioning 
module</flag>
+               <flag name="printsupport">Build bindings for the QtPrintSupport 
module</flag>
+               <flag name="qml">Build bindings for the QtQml module and enable 
the qml plugin</flag>
+               <flag name="quick">Build bindings for the QtQuick module</flag>
+               <flag name="quick3d">Build bindings for the QtQuick3D 
module</flag>
+               <flag name="sensors">Build bindings for the QtSensors 
module</flag>
+               <flag name="serialport">Build bindings for the QtSerialPort 
module</flag>
+               <flag name="spatialaudio">Build bindings for the QtSpatialAudio 
module</flag>
+               <flag name="speech">Build bindings for the QtTextToSpeech 
module</flag>
+               <flag name="sql">Build bindings for the QtSql module</flag>
+               <flag name="svg">Build bindings for the QtSvg module</flag>
+               <flag name="testlib">Build bindings for the QtTest module</flag>
+               <flag name="webchannel">Build bindings for the QtWebChannel 
module</flag>
+               <flag name="websockets">Build bindings for the QtWebSockets 
module</flag>
+               <flag name="widgets">Build bindings for the QtWidgets 
module</flag>
+               <flag name="xml">Build bindings for the QtXml module</flag>
+       </use>
+       <upstream>
+               
<bugs-to>https://www.riverbankcomputing.com/mailman/listinfo/pyqt/</bugs-to>
+               <doc>https://www.riverbankcomputing.com/static/Docs/PyQt6/</doc>
+               <remote-id type="pypi">PyQt6</remote-id>
+       </upstream>
+</pkgmetadata>

Reply via email to